html {
  overflow: scroll;
}

body {
  /* background-image: url(upedesigns_bg.gif); */
  background: lightslategrey;
  font-family: Arial, sans-serif;
  font-size: 14px;
}

#wrapper {
  max-width: 800px;
  margin: 0 auto;
  border-radius: 15px;
  box-shadow: 0 0 14px #4d4d4d;
  background-color: white;
  border: 1px solid grey;
  display: flex;
  flex-direction: column;
  box-sizing: border-box;
  min-height: calc(100vh - 32px);
}

header {
  font-family: Verdana, sans-serif;
  text-align: center;
  margin-top: -2px;
  display: flex;
  /* padding-top: 1em; */
  /* margin-bottom: -12px */
}

header img {
  width: 100%;
}

nav {
  /* background-image: url(grey_1px_bg.gif); */
  border: solid 0 #aaaaaa;
  /* font-variant: small-caps; */
  /* font-size: 12px; */
  height: 32px;
  background-image: linear-gradient(#bdbdbd, #7b7b7b);
  overflow: hidden;
  margin: 0;
  position: -webkit-sticky;
  position: sticky;
  top: -1px;
}

nav ul {
  text-align: center;
  list-style-type: none;
  padding: 0;
  margin: auto;
  width: 100%;
  padding-inline-start: 0;
  display: flex;
  justify-content: center;
  box-sizing: border-box;
  height: 100%;
}

nav li {
  display: block;
  font-weight: bold;
  padding-inline-start: 0;
  box-sizing: content-box;
  width: 100px;
}

nav ul li:nth-of-type(1) {
  border-left: 1px solid darkgrey;
  border-right: 1px solid darkgrey;
}

nav ul li:nth-of-type(2) {
  border-right: 1px solid darkgrey;
}

nav a:link {
  text-shadow: 1px 1px 2px white;
  display: block;
  font-weight: bold;
  color: #2a2a2a;
  line-height: 30px;
  height: 100%;
}

nav a:active, nav a:visited {
  color: #2a2a2a;
  text-decoration: none;
}

nav a:hover {
  text-decoration: none;
  background: #565656;
  color: white;
  text-shadow: 1px 1px black;
}

nav img {
  border: none;
  padding: 0;
  height: 100%;
}

main {
  display: block;
  border-bottom: none;
  margin: 0 auto;
  min-height: 400px;
  color: #FFFFFF;
  color: #000000;
  padding: 1em;
  text-align: justify;
  box-sizing: border-box;
  flex: 10;
  height: 100%;
}

@media (max-width: 480px) {
  main {
    padding: 0.5em;
  }
}

caption,
h2 {
  font-variant: small-caps;
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 0;
  margin-top: 0;
  width: 100%;
  text-align: center;
  background: #3387d1;
  color: white;
}

h3 {
  font-variant: small-caps;
}

h4 {
  font-variant: small-caps;
  font-size: 14px;
}

.headline {
  background-image: url("bg_h.gif");
  height: 26px;
  margin-top: 5px;
  margin-bottom: 0;
  padding-left: 5px;
  color: #ffffff;
  width: 630px;
  text-align: center;
  padding-top: 2px;
}

.text {
  border-left: solid 1px #aaaaaa;
  border-right: solid 1px #aaaaaa;
  width: 623px;
  padding: 5px 5px 0;
}

.bottom {
  background-image: url("bg_bottom.gif");
  height: 15px;
  margin-top: 0;
  margin-bottom: 0;
  padding-left: 0;
  color: #ffffff;
  width: 636px;
  text-align: center;
}

.textbox {
  border: solid 1px lightgrey;
  border-radius: 10px;
  margin: 0 auto;
  overflow: hidden;
  margin-bottom: 1em;
  box-shadow: 0 0 50px lightgrey;
}

.textbox h2 {
  padding: 0.25em;
}

.textbox p {
  padding: 0.25em 1em;
}

table#portfolio {
  /* margin-top: 1em; */
  border-right: solid 1px darkgrey;
  border-left: solid 1px darkgrey;
  border-bottom: solid 1px darkgrey;
  border-radius: 0 0 10px 10px;
  border-collapse: collapse;
  margin: 0 auto;
  box-shadow: 0 0 50px lightgrey;
}

#portfolio {
  font-weight: normal;
}

#portfolio a {
  font-size: 1.1em;
  font-weight: bold;
}

#portfolio img {
  border: none;
}

#portfolio caption {
  border-right: solid 1px darkgrey;
  border-left: solid 1px darkgrey;
  border-top: solid 1px darkgrey;
  border-radius: 10px 10px 0 0;
  box-sizing: border-box;
  padding: 0.25em;
}

#portfolio .table-row {
  display: flex;
}

#portfolio .table-row div {
  text-align: center;
  background-color: #FFFFFF;
  /* font-weight: bold; */
  border-bottom: 1px solid lightgrey;
  padding: 0.5em;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

#portfolio .table-row > div:nth-of-type(1) {
  flex: 1;
}

#portfolio .table-row > div:nth-of-type(2) {
  flex: 3;
}

a:active, a:visited {
  color: #165696;
  text-decoration: none;
}

a:link {
  color: #165696;
  text-decoration: none;
  border: none;
}

a:hover {
  text-decoration: none;
  color: #6699CC;
}

footer {
  height: 23px;
  /* background-image: url(bg_subcopy.gif); */
  display: block;
  color: #000000;
  text-align: center;
  padding-top: 5px;
  /* margin: auto auto; */
  clear: both;
  padding: 0;
  /* width: 662px */
}

footer a:active, footer a:link, footer a:visited {
  color: #165696;
  text-decoration: none;
}

footer a:hover {
  text-decoration: none;
  color: #6699CC;
}
